package main

import (
	"fmt"

	_ "github.com/33cn/chain33/common/db"
	_ "github.com/33cn/chain33/system/store/init"
	"github.com/hashicorp/go-plugin"
	"gitlab.33.cn/link33/sidecar-client-chain33/evmxgo"
	"gitlab.33.cn/link33/sidecar/pkg/plugins"
)

func main() {
	plugin.Serve(&plugin.ServeConfig{
		HandshakeConfig: plugins.Handshake,
		Plugins: map[string]plugin.Plugin{
			evmxgo.PluginName: &plugins.AppchainGRPCPlugin{Impl: &evmxgo.Evmxgo{}},
		},
		GRPCServer: plugin.DefaultGRPCServer,
	})

	fmt.Println("Plugin server down")
}
